require "scripts/style"

-----------------------------
-- 	  	 	 Init
-----------------------------
if gQuitVerifyActive 
then
	return;
end

gQuitVerifyActive = true;

-----------------------------
-- 	  	 Main Dialog
-----------------------------
DisplayDialog
{
	"scripts/popups/popupyesno.lua",
	yes = 
		function()
			PostMessage( CreateNamedMessage( kQuitNow, "quit" ) );
		end,
	no = 
		function()
			if (PauseAnimations)
			then
				PauseAnimations(false);
			end
			if (setVisibleCustomCursor)
			then
				setVisibleCustomCursor(true);
			end
		end,
	title = "#",
	body = "quitconfirm",
};

-----------------------------
-- 	  	 Finalize
-----------------------------
gQuitVerifyActive = false;

